package domain


type AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest struct {
    /*
        营业开始时间(HH:mm)     */
    StartTime  *string `json:"start_time,omitempty" `

    /*
        营业结束时间(HH:mm)     */
    EndTime  *string `json:"end_time,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        渠道     */
    ChannelSourceType  *int64 `json:"channel_source_type,omitempty" `

}

func (s *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest) SetStartTime(v string) *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest {
    s.StartTime = &v
    return s
}
func (s *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest) SetEndTime(v string) *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest {
    s.EndTime = &v
    return s
}
func (s *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest) SetStoreId(v string) *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest) SetChannelSourceType(v int64) *AlibabaAelophyShopUpdateinfoShopInfoUpdateRequest {
    s.ChannelSourceType = &v
    return s
}
